<template>
  <div>
    <base-card>
      <EasyDataTable
        :headers="headers"
        :items="items"
        :rows-per-page="10"
      >
      <template #item-operation="item">
        <div class="operation-wrapper">
          <button @click="deleteItem(item)">Borrar</button>
          <button>Editar</button>
        </div>
      </template>
      </EasyDataTable>
    </base-card>
  </div>
</template>

<script>
export default{
  components:{
    EasyDataTable: window['vue3-easy-data-table']
  },
  data() {
      return{
        headers:[
        { text: "Nombre mascota", value: "nombre" },
        { text: "Estatus", value: "estatus" },
        { text: "Dia", value: "dia" },
        { text: "Hora", value: "hora" },
        { text: "Operacion", value: "operation" },
        ],
        items:[]
      };
  },
  created(){
    this.cargarCitas();
    this.obtenerListaCitas();
  },
  methods:{
    obtenerListaCitas(){
      this.items=this.$store.getters['citas/citas'];
      console.log(this.items);
    },
    cargarCitas(){
      this.$store.dispatch('citas/cargarCitas');
    },
    eliminarMascota(){
      // this.items=
    }
  }
}
</script>